为了账号安全,请及时绑定邮箱和手机立即绑定

在Android Studio中渲染时不支持的major.minor版本52.0

/ 猿问

在Android Studio中渲染时不支持的major.minor版本52.0

慕仰1329654 2019-12-12 10:10:14

当我尝试在Android Studio中渲染布局预览时,出现错误:

不支持的major.minor版本52.0


查看完整描述

3 回答

?
繁星点点滴滴

检查您JAVA_HOME是否使用jdk 1.8


还要检查:Android Studio中的参数以在处更改


文件->其他设置->默认项目结构-> SDK


查看完整回答
反对 回复 2019-12-13
?
largeQ

这是Android Studio中的错误。通常会出现错误:不支持的major.minor版本52.0


解决方法:如果您已安装Android N,请使用较旧的Android渲染版本进行更改,该问题将消失。


解决方案:安装Android SDK Tools 25.1.3(工具)或更高版本



查看完整回答
反对 回复 2019-12-13
?
幕布斯5086720

我已经全部完成,设置了JAVA_HOME,JAVA8_HOME,...,而且我总是出错。对我来说,解决方案是将gradle版本2.1.0设置为与Jdk 1.8.0_92和android studio 2.11一起使用


dependencies {

    classpath 'com.android.tools.build:gradle:2.1.0'

    //classpath 'com.android.tools.build:gradle:2.+'

}




查看完整回答
反对 回复 2019-12-13

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信